## mbarcode 0.2.1-1

=== debian/changelog ===
mbarcode (0.2.1-1) unstable; urgency=low

  * Added optification.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 22 Jul 2010 16:00:00 +0200

=== debian/control ===
Source: mbarcode
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>, Svenn-Arne Dragly <s@dragly.com>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-dev, libgtk2.0-dev,
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-dev, libqt4-opengl-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
Recommends: mbarcode-plugin-webrequest, mbarcode-plugin-qrcode, mbarcode-plugin-ii
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
 mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
 1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the 
 information contained therein. If the information is an URL, the browser will be opened 
 for you, and if it's a VCARD it will be inserted into your contacts database. 
 Other payloads will also be handled in the fullness of time!

## mbarcode 0.2.2-0

=== debian/changelog ===
mbarcode (0.2.2-0) unstable; urgency=low

  * Performance enhancements.
  * Added splash screen.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 23 Jul 2010 02:51:00 +0200

mbarcode (0.2.1-2) unstable; urgency=low

  * Added icon to package for use in app manager.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 23 Jul 2010 02:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,20 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
 Recommends: mbarcode-plugin-webrequest, mbarcode-plugin-qrcode, mbarcode-plugin-ii
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
- mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
- 1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the 
- information contained therein. If the information is an URL, the browser will be opened 
- for you, and if it's a VCARD it will be inserted into your contacts database. 
- Other payloads will also be handled in the fullness of time!
+    mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan
+    1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the
+    information contained therein. If the information is an URL, the browser will be opened
+    for you, and if it's a VCARD it will be inserted into your contacts database.
+    Other payloads will also be handled in the fullness of time!
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mbarcode
+XB-Maemo-Icon-26:
+    iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAQMAAABtzGvEAAAAAXNSR0IArs4c
+    6QAAAAZQTFRF////AAAAVcLTfgAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+    SU1FB9kLBxQrHoSyJUkAAAEaSURBVBjTY2CAgPozFXmH/zE4+H3S62KCUX4+
+    lRN+FTH4xfTv+wSkHK3XOBUxOMTZJBxiglH1l7au9f7HwCBbvKaDgcHC93Tz
+    5gUMppvamJk3wSjPA7uYttkxsPFv83M+xFD9hsW5eAED736e5N17GOoKP/8z
+    CYJRdrwdOXwJDPYPm2Ss1zGU7z8Rs7uJwcCpTemfEYwy3fQpp0yJgc/JfLGV
+    HoOTclGh9SYG5jMfN31IglH+vT/8a3QYvHzdlM73MHgoWQR7bmJgP3hO+JwS
+    Q/HCUzl2ejCKJanIuf8BA4OM5WcPJ4b68xsfceUxOPh2fqpIglF+zlbB9Q+A
+    lGfjnjgGvwDGuyZxQL9z99sowKj6c7sfcj+ChiMAEh94eZ/+UpYAAAAASUVO
+    RK5CYII=

## mbarcode 0.2.2-1

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Aug 7 12:31:26 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lgstinterfaces-0.10 -ldmtx -L/usr/lib -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -ldbus-glib-1 -ldbus-1 -pthread -lgstapp-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lzbar -lQtMaemo5 -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtOpenGL -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		maemobarcodewindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp \
		recentdialog.cpp moc_barcodedetector.cpp \
		moc_maemobarcodewindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp \
		moc_recentdialog.cpp \
		qrc_resources.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		maemobarcodewindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		recentdialog.o \
		moc_barcodedetector.o \
		moc_maemobarcodewindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o \
		moc_recentdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h ui_recentdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \

=== debian/changelog ===
mbarcode (0.2.2-1) unstable; urgency=low

  * Added maintainers to control file.

 -- Svenn-Arne Dragly <s@dragly.com>  Sat, 7 Aug 2010 12:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mbarcode
 Section: user/utilities 
 Priority: extra
-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>, Svenn-Arne Dragly <s@dragly.com>
+Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
+Uploaders: Svenn-Arne Dragly <s@dragly.com>
 Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-dev, libgtk2.0-dev,
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
